Bug 103616 - foo2hp part of print/foo2zjs broken
Summary: foo2hp part of print/foo2zjs broken
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jose Alonso Cardenas Marquez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-09-25 13:30 UTC by Armin Pirkovitsch
Modified: 2006-10-19 18:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Armin Pirkovitsch 2006-09-25 13:30:20 UTC
foo2zjs contains a program called foo2hp and a script foo2hp-wrapper and both are broken.
The wrapper uses gs -sDEVICE=cups which is only available with cups-pstoraster espgs (gs -> espgs) and the lines 37-39, 214-215, 216-231 and 658-665 will kill the content of the pipe.
The foo2hp program however cores when you enable 2 bpp (bits per plane) (not enough memory allocated)
On the webpage of foo2hp the coder mentions that you shall not use foo2hp from the foo2zjs package but the "standalone" version - the source of both versions is however the same.

Fix: 

I'd suggest to not install those two broken parts of foo2zjs.
How-To-Repeat: install foo2zjs and cups
fix foo2hp-wrapper to use espgs instead of gs and comment out the above mentioned lines (otherwise gs will stop / the pipe content will be lost and nothing will be handed to gs)
install for example HP Color Laserjet 1600 in cups and set it to 2 bpp.
print and watch foo2hp die...
Comment 1 Edwin Groothuis freebsd_committer 2006-09-25 13:30:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->acm

Over to maintainer
Comment 2 Jose Alonso Cardenas Marquez freebsd_committer 2006-10-02 23:27:22 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Mon, 25 Sep 2006 12:30:29 GMT
Edwin Groothuis <edwin@FreeBSD.org> wrote:

> Synopsis: foo2hp part of print/foo2zjs broken
> 
> Responsible-Changed-From-To: freebsd-ports-bugs->acm
> Responsible-Changed-By: edwin
> Responsible-Changed-When: Mon Sep 25 12:30:28 UTC 2006
> Responsible-Changed-Why: 
> Over to maintainer
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=103616
> 

I'll try to solve those problems during ports freeze, while i change it
to suspend

Greetings
- ----
Jose Alonso Cardenas Marquez	|	http://www.FreeBSD.org
acm@FreeBSD.org			|	http://www.BSD.org.pe
GnuPG Key: http://www.FreeBSD.org/~acm/pgp/pubkey.asc


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (FreeBSD)

iD8DBQFFIZJKGV/UqJshvBkRAtcSAJ0VH/XmWQkoBPIRxkj8mi/xlO0iugCgkB8c
6M7ffS63sTYB0Jpmd3YJdtw=
=gKud
-----END PGP SIGNATURE-----
Comment 3 Jose Alonso Cardenas Marquez freebsd_committer 2006-10-02 23:27:40 UTC
State Changed
From-To: open->suspended

I'll try to solve it during ports freeze :)
Comment 4 Jose Alonso Cardenas Marquez freebsd_committer 2006-10-12 16:42:23 UTC
State Changed
From-To: suspended->open

Time to work
Comment 5 dfilter service freebsd_committer 2006-10-19 18:32:07 UTC
acm         2006-10-19 17:31:03 UTC

  FreeBSD ports repository

  Modified files:
    print/foo2zjs        Makefile distinfo 
    print/foo2zjs/files  pkg-message.in 
  Added files:
    print/foo2zjs/files  patch-foo2hp2600-wrapper.in 
                         patch-foo2zjs-wrapper.in 
  Log:
  - Update to 20061010
  - Fix wrapper files
  - Add a note to pkg-message about a problem with foo2hp using 2bpp
  
  PR:             ports/104344 ports/103616
  Submitted by:   Frank J. Laszlo, Armin Pirkovitsch
  Approved by:    portmgr (erwin)
  
  Revision  Changes    Path
  1.13      +3 -2      ports/print/foo2zjs/Makefile
  1.12      +3 -3      ports/print/foo2zjs/distinfo
  1.1       +87 -0     ports/print/foo2zjs/files/patch-foo2hp2600-wrapper.in (new)
  1.1       +65 -0     ports/print/foo2zjs/files/patch-foo2zjs-wrapper.in (new)
  1.3       +6 -3      ports/print/foo2zjs/files/pkg-message.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Jose Alonso Cardenas Marquez freebsd_committer 2006-10-19 18:32:38 UTC
State Changed
From-To: open->closed

Committed Thanks :)